<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ArtifactsWorkspaceSettings">
    <artifacts-to-build>
      <artifact name="yingjiziyuan" />
    </artifacts-to-build>
  </component>
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="2f36f7d5-919c-4665-861f-5f4258fa5050" name="Default Changelist" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DatabaseView">
    <option name="SHOW_INTERMEDIATE" value="true" />
    <option name="GROUP_DATA_SOURCES" value="true" />
    <option name="GROUP_SCHEMA" value="true" />
    <option name="GROUP_CONTENTS" value="false" />
    <option name="SORT_POSITIONED" value="false" />
    <option name="SHOW_EMPTY_GROUPS" value="false" />
    <option name="AUTO_SCROLL_FROM_SOURCE" value="false" />
    <option name="HIDDEN_KINDS">
      <set />
    </option>
    <expand />
    <select />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="JupyterTrust" id="8cf2ebb5-c575-4b0e-a7fa-2d692b4c9150" />
  <component name="LogFilters">
    <option name="FILTER_ERRORS" value="false" />
    <option name="FILTER_WARNINGS" value="false" />
    <option name="FILTER_INFO" value="false" />
    <option name="FILTER_DEBUG" value="false" />
    <option name="CUSTOM_FILTER" />
  </component>
  <component name="ProjectId" id="2gGK5gceRLwT43bFfKleNPVZzTD" />
  <component name="ProjectInspectionProfilesVisibleTreeState">
    <entry key="Project Default">
      <profile-state>
        <expanded-state>
          <State />
          <State>
            <id>AOP</id>
          </State>
          <State>
            <id>Abstraction issuesJava</id>
          </State>
          <State>
            <id>AccessibilityLintAndroid</id>
          </State>
          <State>
            <id>ActionScript specificJavaScript</id>
          </State>
          <State>
            <id>Android</id>
          </State>
          <State>
            <id>Ant</id>
          </State>
          <State>
            <id>ArquillianJava</id>
          </State>
          <State>
            <id>Assignment issuesGroovy</id>
          </State>
          <State>
            <id>Batch Applications</id>
          </State>
          <State>
            <id>Bidirectional TextInternationalizationLintAndroid</id>
          </State>
          <State>
            <id>CDI (Contexts and Dependency Injection)</id>
          </State>
          <State>
            <id>CSS</id>
          </State>
          <State>
            <id>Class structureJava</id>
          </State>
          <State>
            <id>Cloning issuesJava</id>
          </State>
          <State>
            <id>Code maturityJava</id>
          </State>
          <State>
            <id>Code style issuesJava</id>
          </State>
          <State>
            <id>Code style issuesJavaScript</id>
          </State>
          <State>
            <id>CodeSpring CoreSpring</id>
          </State>
          <State>
            <id>Control flow issuesJava</id>
          </State>
          <State>
            <id>CorrectnessLintAndroid</id>
          </State>
          <State>
            <id>DOM issuesJavaScript</id>
          </State>
          <State>
            <id>Data flowJava</id>
          </State>
          <State>
            <id>Declaration redundancyJava</id>
          </State>
          <State>
            <id>EncapsulationJava</id>
          </State>
          <State>
            <id>Error handlingJava</id>
          </State>
          <State>
            <id>Flow type checkerJavaScript</id>
          </State>
          <State>
            <id>FreeMarker</id>
          </State>
          <State>
            <id>GeneralJavaScript</id>
          </State>
          <State>
            <id>Google Web Toolkit</id>
          </State>
          <State>
            <id>Groovy</id>
          </State>
          <State>
            <id>Guice</id>
          </State>
          <State>
            <id>HTML</id>
          </State>
          <State>
            <id>Inheritance issuesJava</id>
          </State>
          <State>
            <id>InternationalizationJava</id>
          </State>
          <State>
            <id>InternationalizationLintAndroid</id>
          </State>
          <State>
            <id>Invalid elementsCSS</id>
          </State>
          <State>
            <id>J2ME issuesJava</id>
          </State>
          <State>
            <id>JBoss Seam</id>
          </State>
          <State>
            <id>JPA</id>
          </State>
          <State>
            <id>JSP</id>
          </State>
          <State>
            <id>JUnitJava</id>
          </State>
          <State>
            <id>Java</id>
          </State>
          <State>
            <id>Java 10Java language level migration aidsJava</id>
          </State>
          <State>
            <id>Java 5Java language level migration aidsJava</id>
          </State>
          <State>
            <id>Java 7Java language level migration aidsJava</id>
          </State>
          <State>
            <id>Java 8Java language level migration aidsJava</id>
          </State>
          <State>
            <id>Java EE</id>
          </State>
          <State>
            <id>Java interop issuesKotlin</id>
          </State>
          <State>
            <id>Java language level migration aidsJava</id>
          </State>
          <State>
            <id>JavaFX</id>
          </State>
          <State>
            <id>JavaScript</id>
          </State>
          <State>
            <id>JavadocJava</id>
          </State>
          <State>
            <id>Kotlin</id>
          </State>
          <State>
            <id>Kotlin Android</id>
          </State>
          <State>
            <id>Language Injection</id>
          </State>
          <State>
            <id>LintAndroid</id>
          </State>
          <State>
            <id>LintLintAndroid</id>
          </State>
          <State>
            <id>LoggingJava</id>
          </State>
          <State>
            <id>MemoryJava</id>
          </State>
          <State>
            <id>MessagesCorrectnessLintAndroid</id>
          </State>
          <State>
            <id>Method metricsJava</id>
          </State>
          <State>
            <id>Naming conventionsGroovy</id>
          </State>
          <State>
            <id>Naming conventionsJava</id>
          </State>
          <State>
            <id>Node.jsJavaScript</id>
          </State>
          <State>
            <id>Numeric issuesJava</id>
          </State>
          <State>
            <id>Other problemsKotlin</id>
          </State>
          <State>
            <id>OtherGroovy</id>
          </State>
          <State>
            <id>Pattern Validation</id>
          </State>
          <State>
            <id>PerformanceJava</id>
          </State>
          <State>
            <id>PerformanceLintAndroid</id>
          </State>
          <State>
            <id>Plugin DevKit</id>
          </State>
          <State>
            <id>PortabilityJava</id>
          </State>
          <State>
            <id>Potentially confusing code constructsGroovy</id>
          </State>
          <State>
            <id>Potentially confusing code constructsJavaScript</id>
          </State>
          <State>
            <id>Probable bugsGroovy</id>
          </State>
          <State>
            <id>Probable bugsJava</id>
          </State>
          <State>
            <id>Probable bugsJavaScript</id>
          </State>
          <State>
            <id>Probable bugsKotlin</id>
          </State>
          <State>
            <id>Properties Files</id>
          </State>
          <State>
            <id>RESTful Web Service</id>
          </State>
          <State>
            <id>Reactor</id>
          </State>
          <State>
            <id>Redundant constructsKotlin</id>
          </State>
          <State>
            <id>Reflective accessJava</id>
          </State>
          <State>
            <id>SQL</id>
          </State>
          <State>
            <id>Serialization issuesJava</id>
          </State>
          <State>
            <id>Spring</id>
          </State>
          <State>
            <id>Spring AOPSpring</id>
          </State>
          <State>
            <id>Spring CoreSpring</id>
          </State>
          <State>
            <id>Spring DataSpring</id>
          </State>
          <State>
            <id>Spring SecuritySpring</id>
          </State>
          <State>
            <id>Spring Web FlowSpring</id>
          </State>
          <State>
            <id>Struts</id>
          </State>
          <State>
            <id>Struts 1Struts</id>
          </State>
          <State>
            <id>Style issuesKotlin</id>
          </State>
          <State>
            <id>StyleGroovy</id>
          </State>
          <State>
            <id>TestNGJava</id>
          </State>
          <State>
            <id>Threading issuesGroovy</id>
          </State>
          <State>
            <id>Threading issuesJava</id>
          </State>
          <State>
            <id>TypeScript</id>
          </State>
          <State>
            <id>TypographyUsabilityLintAndroid</id>
          </State>
          <State>
            <id>UI Form</id>
          </State>
          <State>
            <id>UsabilityLintAndroid</id>
          </State>
          <State>
            <id>Velocity</id>
          </State>
          <State>
            <id>Verbose or redundant code constructsJava</id>
          </State>
          <State>
            <id>VisibilityJava</id>
          </State>
          <State>
            <id>Web Services</id>
          </State>
          <State>
            <id>WebSocket</id>
          </State>
          <State>
            <id>XML</id>
          </State>
          <State>
            <id>XMLSpring CoreSpring</id>
          </State>
          <State>
            <id>XPath</id>
          </State>
        </expanded-state>
        <selected-state>
          <State>
            <id>CdiUnknownProducersForDisposerMethodInspection</id>
          </State>
        </selected-state>
      </profile-state>
    </entry>
  </component>
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="Downloaded.Files.Path.Enabled" value="false" />
    <property name="Repository.Attach.Annotations" value="false" />
    <property name="Repository.Attach.JavaDocs" value="false" />
    <property name="Repository.Attach.Sources" value="false" />
    <property name="SearchEverywhereHistoryKey" value="showInfo&#9;PSI&#9;JAVA://com.controller.web.UsersForeController#showInfo&#10;sid&#9;FILE&#9;file://D:/workspace/shengxianjinxiao/WebRoot/admin/sidebar.jsp&#10;news_list&#9;FILE&#9;file://H:/workspace/chaoshipeisong/WebRoot/admin/news_list.jsp&#10;user_list&#9;FILE&#9;file://H:/workspace/chaoshipeisong/WebRoot/admin/user_list.jsp" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1713701397911" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="project.structure.last.edited" value="Global Libraries" />
    <property name="project.structure.proportion" value="0.15169661" />
    <property name="project.structure.side.proportion" value="0.23840207" />
    <property name="settings.editor.selected.configurable" value="reference.projectsettings.compiler.javacompiler" />
    <property name="vue.rearranger.settings.migration" value="true" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="D:\workspace_ssm\xueshengchengzhang\WebRoot" />
      <recent name="D:\workspace_ssm\xingxingshudian\WebRoot\admin\views" />
      <recent name="D:\workspace_ssm\xingxingshudian\WebRoot\admin\views\bbs" />
      <recent name="D:\workspace_ssm\bianlidianhuopin\WebRoot\admin\views" />
      <recent name="D:\workspace_ssm\xinlijiankang\WebRoot\admin\views" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.controller.admin" />
      <recent name="com.service.impl" />
      <recent name="com.service" />
      <recent name="com.dao" />
      <recent name="com.entity" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="D:\web\yingjiziyuan" />
      <recent name="D:\web\yingjiziyuan\WebRoot\admin\views\place" />
      <recent name="D:\web\yingjiziyuan\WebRoot\admin\views" />
      <recent name="D:\web\yingjiziyuan\src\com\mapper" />
      <recent name="D:\web\yingjiziyuan\WebRoot\admin\views\reserve_materials" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="excludedTypes">
      <set>
        <option value="#com.intellij.j2ee.web.tomcat.TomcatRunConfigurationFactory" />
      </set>
    </option>
  </component>
  <component name="RunManager">
    <configuration default="true" type="ArquillianJUnit" factoryName="" nameIsGenerated="true">
      <option name="arquillianRunConfiguration">
        <value>
          <option name="containerStateName" value="" />
        </value>
      </option>
      <option name="TEST_OBJECT" value="class" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Tomcat 9.0.37" type="#com.intellij.j2ee.web.tomcat.TomcatRunConfigurationFactory" factoryName="Local" APPLICATION_SERVER_NAME="Tomcat 9.0.37" ALTERNATIVE_JRE_ENABLED="true" ALTERNATIVE_JRE_PATH="1.8" nameIsGenerated="true">
      <option name="BROWSER_ID" value="98ca6316-2f89-46d9-a9e5-fa9e2b0625b3" />
      <option name="UPDATE_ON_FRAME_DEACTIVATION" value="true" />
      <option name="UPDATE_CLASSES_ON_FRAME_DEACTIVATION" value="true" />
      <deployment>
        <artifact name="yingjiziyuan">
          <settings>
            <option name="CONTEXT_PATH" value="/yingjiziyuan" />
          </settings>
        </artifact>
      </deployment>
      <server-settings>
        <option name="BASE_DIRECTORY_NAME" value="Tomcat_9_0_37_yingjiziyuan_2" />
      </server-settings>
      <predefined_log_file enabled="true" id="Tomcat" />
      <predefined_log_file enabled="true" id="Tomcat Catalina" />
      <predefined_log_file id="Tomcat Manager" />
      <predefined_log_file id="Tomcat Host Manager" />
      <predefined_log_file id="Tomcat Localhost Access" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="58476" />
      </RunnerSettings>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Cover">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Debug">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Run">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <method v="2">
        <option name="Make" enabled="true" />
        <option name="BuildArtifacts" enabled="true">
          <artifact name="yingjiziyuan" />
        </option>
      </method>
    </configuration>
    <configuration default="true" type="#com.intellij.j2ee.web.tomcat.TomcatRunConfigurationFactory" factoryName="Local" APPLICATION_SERVER_NAME="Tomcat 9.0.37" ALTERNATIVE_JRE_ENABLED="true" ALTERNATIVE_JRE_PATH="1.8">
      <option name="OPEN_IN_BROWSER_URL" value="http://localhost:8080/yingjiziyuan/" />
      <option name="UPDATING_POLICY" value="restart-server" />
      <deployment>
        <artifact name="yingjiziyuan">
          <settings>
            <option name="CONTEXT_PATH" value="/yingjiziyuan" />
          </settings>
        </artifact>
      </deployment>
      <server-settings>
        <option name="BASE_DIRECTORY_NAME" value="_yingjiziyuan" />
      </server-settings>
      <predefined_log_file enabled="true" id="Tomcat" />
      <predefined_log_file enabled="true" id="Tomcat Catalina" />
      <predefined_log_file id="Tomcat Manager" />
      <predefined_log_file id="Tomcat Host Manager" />
      <predefined_log_file id="Tomcat Localhost Access" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="58476" />
      </RunnerSettings>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Cover">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Debug">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Run">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <method v="2">
        <option name="Make" enabled="true" />
        <option name="BuildArtifacts" enabled="true">
          <artifact name="yingjiziyuan" />
        </option>
      </method>
    </configuration>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="2f36f7d5-919c-4665-861f-5f4258fa5050" name="Default Changelist" comment="" />
      <created>1582361655000</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1582361655000</updated>
      <workItem from="1582361659000" duration="9438000" />
      <workItem from="1582371184122" duration="10998000" />
      <workItem from="1582426168901" duration="621000" />
      <workItem from="1582968383499" duration="4870000" />
      <workItem from="1583029578423" duration="397000" />
      <workItem from="1583031841219" duration="596000" />
      <workItem from="1588491583750" duration="16616000" />
      <workItem from="1588650278287" duration="1244000" />
      <workItem from="1610673273726" duration="630000" />
      <workItem from="1610681487438" duration="14119000" />
      <workItem from="1610725779445" duration="1113000" />
      <workItem from="1610772518832" duration="27236000" />
      <workItem from="1610850412412" duration="598000" />
      <workItem from="1610966327757" duration="2932000" />
      <workItem from="1611058060167" duration="597000" />
      <workItem from="1611143551548" duration="4194000" />
      <workItem from="1611227864454" duration="593000" />
      <workItem from="1611463000155" duration="592000" />
      <workItem from="1611578732858" duration="597000" />
      <workItem from="1611656575834" duration="1197000" />
      <workItem from="1611742524146" duration="594000" />
      <workItem from="1612065764698" duration="24552000" />
      <workItem from="1613965433812" duration="9072000" />
      <workItem from="1613983247117" duration="3176000" />
      <workItem from="1613990225289" duration="175000" />
      <workItem from="1613991090984" duration="8209000" />
      <workItem from="1614003661688" duration="7905000" />
      <workItem from="1614040702057" duration="8207000" />
      <workItem from="1614158295920" duration="588000" />
      <workItem from="1614214809823" duration="593000" />
      <workItem from="1614304595133" duration="74000" />
      <workItem from="1614754226874" duration="9822000" />
      <workItem from="1615096872106" duration="2051000" />
      <workItem from="1615447096044" duration="1474000" />
      <workItem from="1615735277540" duration="1315000" />
      <workItem from="1616720914223" duration="9138000" />
      <workItem from="1616769466338" duration="2964000" />
      <workItem from="1617157985394" duration="4052000" />
      <workItem from="1617200838729" duration="1710000" />
      <workItem from="1618936937951" duration="104000" />
      <workItem from="1621517049007" duration="6197000" />
      <workItem from="1645278885799" duration="10651000" />
      <workItem from="1645329102820" duration="12198000" />
      <workItem from="1645342573674" duration="7121000" />
      <workItem from="1645352883976" duration="17483000" />
      <workItem from="1645405706990" duration="2367000" />
      <workItem from="1645411172812" duration="12567000" />
      <workItem from="1645438168243" duration="17706000" />
      <workItem from="1645525023647" duration="616000" />
      <workItem from="1645697674328" duration="3068000" />
      <workItem from="1645785055950" duration="595000" />
      <workItem from="1645843457056" duration="592000" />
      <workItem from="1646324452527" duration="2157000" />
      <workItem from="1646356904216" duration="13744000" />
      <workItem from="1646389885178" duration="4497000" />
      <workItem from="1646447300881" duration="2815000" />
      <workItem from="1646485009989" duration="13250000" />
      <workItem from="1646528705553" duration="18039000" />
      <workItem from="1646648114968" duration="595000" />
      <workItem from="1646734279353" duration="617000" />
      <workItem from="1647014474654" duration="3370000" />
      <workItem from="1647048397319" duration="15772000" />
      <workItem from="1647392755282" duration="17003000" />
      <workItem from="1647417402495" duration="5393000" />
      <workItem from="1650720552372" duration="22522000" />
      <workItem from="1650870555800" duration="11563000" />
      <workItem from="1650942336674" duration="14608000" />
      <workItem from="1651024495711" duration="2324000" />
      <workItem from="1651065484778" duration="1236000" />
      <workItem from="1676801839107" duration="246000" />
      <workItem from="1676802439334" duration="1723000" />
      <workItem from="1676804461116" duration="11885000" />
      <workItem from="1676889229376" duration="1189000" />
      <workItem from="1676976585317" duration="594000" />
      <workItem from="1676978248207" duration="3766000" />
      <workItem from="1677062335197" duration="610000" />
      <workItem from="1677066162930" duration="709000" />
      <workItem from="1677318976119" duration="6885000" />
      <workItem from="1677379439893" duration="3181000" />
      <workItem from="1679206417610" duration="15309000" />
      <workItem from="1679235981622" duration="2647000" />
      <workItem from="1679238667357" duration="6690000" />
      <workItem from="1679307268006" duration="1368000" />
      <workItem from="1679392866999" duration="595000" />
      <workItem from="1679479629118" duration="592000" />
      <workItem from="1679566737731" duration="591000" />
      <workItem from="1679666270841" duration="635000" />
      <workItem from="1679842908499" duration="3414000" />
      <workItem from="1680780507660" duration="2535000" />
      <workItem from="1681027454430" duration="631000" />
      <workItem from="1681561729082" duration="4831000" />
      <workItem from="1681640054612" duration="10508000" />
      <workItem from="1681694455351" duration="10605000" />
      <workItem from="1681712006556" duration="12122000" />
      <workItem from="1681726290171" duration="17741000" />
      <workItem from="1681813352258" duration="3528000" />
      <workItem from="1681900182126" duration="15096000" />
      <workItem from="1681923817239" duration="371000" />
      <workItem from="1681965270443" duration="12039000" />
      <workItem from="1708760166310" duration="1331000" />
      <workItem from="1708774886749" duration="10616000" />
      <workItem from="1708825107265" duration="9173000" />
      <workItem from="1708867240618" duration="1891000" />
      <workItem from="1708940970833" duration="1298000" />
      <workItem from="1709125183320" duration="10881000" />
      <workItem from="1709200495657" duration="3436000" />
      <workItem from="1709287123827" duration="3016000" />
      <workItem from="1710157396731" duration="3051000" />
      <workItem from="1710236772476" duration="595000" />
      <workItem from="1710322850466" duration="1517000" />
      <workItem from="1710414486422" duration="615000" />
      <workItem from="1710932743521" duration="10123000" />
      <workItem from="1713548289963" duration="591000" />
      <workItem from="1713579053435" duration="595000" />
      <workItem from="1713682272172" duration="9377000" />
      <workItem from="1715318294913" duration="8393000" />
      <workItem from="1715428248588" duration="3328000" />
      <workItem from="1715431623179" duration="2840000" />
      <workItem from="1715436414158" duration="7118000" />
      <workItem from="1715469475282" duration="35730000" />
      <workItem from="1715562030842" duration="168000" />
      <workItem from="1715781439043" duration="7000" />
      <workItem from="1716036043022" duration="5133000" />
      <workItem from="1716080212227" duration="20276000" />
      <workItem from="1716208341980" duration="1762000" />
      <workItem from="1716212331438" duration="1518000" />
      <workItem from="1716291313626" duration="4355000" />
      <workItem from="1716298722082" duration="1498000" />
      <workItem from="1716343936755" duration="663000" />
      <workItem from="1716464527389" duration="4884000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="WindowStateProjectService">
    <state x="555" y="213" key="#BuildArtifactsBeforeRunChooser" timestamp="1715323608022">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state x="555" y="213" key="#BuildArtifactsBeforeRunChooser/0.0.1536.816@0.0.1536.816" timestamp="1715323608022" />
    <state x="249" y="0" key="#Project_Structure" timestamp="1715430529531">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state x="249" y="0" key="#Project_Structure/0.0.1536.816@0.0.1536.816" timestamp="1715430529531" />
    <state x="542" y="298" key="#Tomcat_Server" timestamp="1715435399684">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state x="542" y="298" key="#Tomcat_Server/0.0.1536.816@0.0.1536.816" timestamp="1715435399684" />
    <state x="556" y="194" key="#Web_Browsers" timestamp="1715404558467">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state x="556" y="194" key="#Web_Browsers/0.0.1536.816@0.0.1536.816" timestamp="1715404558467" />
    <state x="230" y="0" width="1089" height="816" key="#com.intellij.execution.impl.EditConfigurationsDialog" timestamp="1715473494701">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state x="230" y="0" width="1089" height="816" key="#com.intellij.execution.impl.EditConfigurationsDialog/0.0.1536.816@0.0.1536.816" timestamp="1715473494701" />
    <state x="574" y="92" key="#com.intellij.ide.util.MemberChooser" timestamp="1716081682677">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state x="574" y="92" key="#com.intellij.ide.util.MemberChooser/0.0.1536.816@0.0.1536.816" timestamp="1716081682677" />
    <state x="386" y="86" key="#com.intellij.ide.util.frameworkSupport.AddFrameworkSupportDialog" timestamp="1715319943852">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state x="386" y="86" key="#com.intellij.ide.util.frameworkSupport.AddFrameworkSupportDialog/0.0.1536.816@0.0.1536.816" timestamp="1715319943852" />
    <state x="490" y="59" key="#com.intellij.j2ee.appServerIntegrations.ApplicationServersConfigurable" timestamp="1715435418107">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state x="490" y="59" key="#com.intellij.j2ee.appServerIntegrations.ApplicationServersConfigurable/0.0.1536.816@0.0.1536.816" timestamp="1715435418107" />
    <state x="568" y="332" key="#com.intellij.javaee.module.view.common.J2EE.J2EEDeploymentDescriptorLocationPanel.changeDDPath" timestamp="1715431226231">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state x="568" y="332" key="#com.intellij.javaee.module.view.common.J2EE.J2EEDeploymentDescriptorLocationPanel.changeDDPath/0.0.1536.816@0.0.1536.816" timestamp="1715431226231" />
    <state x="557" y="315" key="#com.intellij.javaee.module.view.web.EditWebRootDialog" timestamp="1715431242198">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state x="557" y="315" key="#com.intellij.javaee.module.view.web.EditWebRootDialog/0.0.1536.816@0.0.1536.816" timestamp="1715431242198" />
    <state x="499" y="163" key="#com.intellij.util.ui.classpath.ChooseLibrariesDialog" timestamp="1715436006220">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state x="499" y="163" key="#com.intellij.util.ui.classpath.ChooseLibrariesDialog/0.0.1536.816@0.0.1536.816" timestamp="1715436006220" />
    <state width="412" height="466" key="DebuggerActiveHint" timestamp="1715492522936">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state width="412" height="466" key="DebuggerActiveHint/0.0.1536.816@0.0.1536.816" timestamp="1715492522936" />
    <state x="732" y="128" key="FileChooserDialogImpl" timestamp="1716344005531">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state x="732" y="128" key="FileChooserDialogImpl/0.0.1536.816@0.0.1536.816" timestamp="1716344005531" />
    <state width="1493" height="331" key="GridCell.Tab.0.bottom" timestamp="1716471296567">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state width="1493" height="331" key="GridCell.Tab.0.bottom/0.0.1536.816@0.0.1536.816" timestamp="1716471296567" />
    <state width="1493" height="331" key="GridCell.Tab.0.center" timestamp="1716471296567">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state width="1493" height="331" key="GridCell.Tab.0.center/0.0.1536.816@0.0.1536.816" timestamp="1716471296567" />
    <state width="1493" height="331" key="GridCell.Tab.0.left" timestamp="1716471296567">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state width="1493" height="331" key="GridCell.Tab.0.left/0.0.1536.816@0.0.1536.816" timestamp="1716471296567" />
    <state width="1493" height="331" key="GridCell.Tab.0.right" timestamp="1716471296567">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state width="1493" height="331" key="GridCell.Tab.0.right/0.0.1536.816@0.0.1536.816" timestamp="1716471296567" />
    <state width="1493" height="331" key="GridCell.Tab.1.bottom" timestamp="1716471296567">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state width="1493" height="331" key="GridCell.Tab.1.bottom/0.0.1536.816@0.0.1536.816" timestamp="1716471296567" />
    <state width="1493" height="331" key="GridCell.Tab.1.center" timestamp="1716471296567">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state width="1493" height="331" key="GridCell.Tab.1.center/0.0.1536.816@0.0.1536.816" timestamp="1716471296567" />
    <state width="1493" height="331" key="GridCell.Tab.1.left" timestamp="1716471296567">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state width="1493" height="331" key="GridCell.Tab.1.left/0.0.1536.816@0.0.1536.816" timestamp="1716471296567" />
    <state width="1493" height="331" key="GridCell.Tab.1.right" timestamp="1716471296567">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state width="1493" height="331" key="GridCell.Tab.1.right/0.0.1536.816@0.0.1536.816" timestamp="1716471296567" />
    <state width="1493" height="331" key="GridCell.Tab.2.bottom" timestamp="1716471296567">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state width="1493" height="331" key="GridCell.Tab.2.bottom/0.0.1536.816@0.0.1536.816" timestamp="1716471296567" />
    <state width="1493" height="331" key="GridCell.Tab.2.center" timestamp="1716471296567">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state width="1493" height="331" key="GridCell.Tab.2.center/0.0.1536.816@0.0.1536.816" timestamp="1716471296567" />
    <state width="1493" height="331" key="GridCell.Tab.2.left" timestamp="1716471296567">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state width="1493" height="331" key="GridCell.Tab.2.left/0.0.1536.816@0.0.1536.816" timestamp="1716471296567" />
    <state width="1493" height="331" key="GridCell.Tab.2.right" timestamp="1716471296567">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state width="1493" height="331" key="GridCell.Tab.2.right/0.0.1536.816@0.0.1536.816" timestamp="1716471296567" />
    <state width="1493" height="376" key="GridCell.Tab.3.bottom" timestamp="1716114235478">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state width="1493" height="376" key="GridCell.Tab.3.bottom/0.0.1536.816@0.0.1536.816" timestamp="1716114235478" />
    <state width="1493" height="376" key="GridCell.Tab.3.center" timestamp="1716114235478">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state width="1493" height="376" key="GridCell.Tab.3.center/0.0.1536.816@0.0.1536.816" timestamp="1716114235478" />
    <state width="1493" height="376" key="GridCell.Tab.3.left" timestamp="1716114235478">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state width="1493" height="376" key="GridCell.Tab.3.left/0.0.1536.816@0.0.1536.816" timestamp="1716114235478" />
    <state width="1493" height="376" key="GridCell.Tab.3.right" timestamp="1716114235478">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state width="1493" height="376" key="GridCell.Tab.3.right/0.0.1536.816@0.0.1536.816" timestamp="1716114235478" />
    <state width="1493" height="324" key="GridCell.Tab.4.bottom" timestamp="1716470516966">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state width="1493" height="324" key="GridCell.Tab.4.bottom/0.0.1536.816@0.0.1536.816" timestamp="1716470516966" />
    <state width="1493" height="324" key="GridCell.Tab.4.center" timestamp="1716470516964">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state width="1493" height="324" key="GridCell.Tab.4.center/0.0.1536.816@0.0.1536.816" timestamp="1716470516964" />
    <state width="1493" height="324" key="GridCell.Tab.4.left" timestamp="1716470516963">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state width="1493" height="324" key="GridCell.Tab.4.left/0.0.1536.816@0.0.1536.816" timestamp="1716470516963" />
    <state width="1493" height="324" key="GridCell.Tab.4.right" timestamp="1716470516965">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state width="1493" height="324" key="GridCell.Tab.4.right/0.0.1536.816@0.0.1536.816" timestamp="1716470516965" />
    <state width="1088" height="412" key="GridCell.Tab.5.bottom" timestamp="1715431082976">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state width="1088" height="412" key="GridCell.Tab.5.bottom/0.0.1536.816@0.0.1536.816" timestamp="1715431082976" />
    <state width="1088" height="412" key="GridCell.Tab.5.center" timestamp="1715431082976">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state width="1088" height="412" key="GridCell.Tab.5.center/0.0.1536.816@0.0.1536.816" timestamp="1715431082976" />
    <state width="1088" height="412" key="GridCell.Tab.5.left" timestamp="1715431082975">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state width="1088" height="412" key="GridCell.Tab.5.left/0.0.1536.816@0.0.1536.816" timestamp="1715431082975" />
    <state width="1088" height="412" key="GridCell.Tab.5.right" timestamp="1715431082976">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state width="1088" height="412" key="GridCell.Tab.5.right/0.0.1536.816@0.0.1536.816" timestamp="1715431082976" />
    <state width="1088" height="412" key="GridCell.Tab.6.bottom" timestamp="1715431082976">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state width="1088" height="412" key="GridCell.Tab.6.bottom/0.0.1536.816@0.0.1536.816" timestamp="1715431082976" />
    <state width="1088" height="412" key="GridCell.Tab.6.center" timestamp="1715431082976">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state width="1088" height="412" key="GridCell.Tab.6.center/0.0.1536.816@0.0.1536.816" timestamp="1715431082976" />
    <state width="1088" height="412" key="GridCell.Tab.6.left" timestamp="1715431082976">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state width="1088" height="412" key="GridCell.Tab.6.left/0.0.1536.816@0.0.1536.816" timestamp="1715431082976" />
    <state width="1088" height="412" key="GridCell.Tab.6.right" timestamp="1715431082976">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state width="1088" height="412" key="GridCell.Tab.6.right/0.0.1536.816@0.0.1536.816" timestamp="1715431082976" />
    <state x="249" y="0" key="SettingsEditor" timestamp="1715437372246">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state x="249" y="0" key="SettingsEditor/0.0.1536.816@0.0.1536.816" timestamp="1715437372246" />
    <state width="775" height="415" key="XDebugger.FullValuePopup" timestamp="1715492522932">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state width="775" height="415" key="XDebugger.FullValuePopup/0.0.1536.816@0.0.1536.816" timestamp="1715492522932" />
    <state x="485" y="300" key="com.intellij.jarRepository.RepositoryAttachDialog-DOWNLOAD" timestamp="1715436954816">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state x="485" y="300" key="com.intellij.jarRepository.RepositoryAttachDialog-DOWNLOAD/0.0.1536.816@0.0.1536.816" timestamp="1715436954816" />
    <state x="339" y="53" key="com.intellij.javaee.view.ServerArtifactsDialog" timestamp="1715320305330">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state x="339" y="53" key="com.intellij.javaee.view.ServerArtifactsDialog/0.0.1536.816@0.0.1536.816" timestamp="1715320305330" />
    <state x="468" y="111" width="600" height="594" key="find.popup" timestamp="1716297742176">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state x="468" y="111" width="600" height="594" key="find.popup/0.0.1536.816@0.0.1536.816" timestamp="1716297742176" />
    <state x="425" y="185" key="run.anything.popup" timestamp="1715520810782">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state x="425" y="185" key="run.anything.popup/0.0.1536.816@0.0.1536.816" timestamp="1715520810782" />
    <state x="431" y="137" width="672" height="678" key="search.everywhere.popup" timestamp="1716041611677">
      <screen x="0" y="0" width="1536" height="816" />
    </state>
    <state x="431" y="137" width="672" height="678" key="search.everywhere.popup/0.0.1536.816@0.0.1536.816" timestamp="1716041611677" />
  </component>
  <component name="antWorkspaceConfiguration">
    <option name="IS_AUTOSCROLL_TO_SOURCE" value="false" />
    <option name="FILTER_TARGETS" value="false" />
  </component>
</project>